import React, { useEffect } from 'react';
import { dispatch, useCurrentRound } from '../../../domain/gameStore';
import usePreventNavigation from '../../../hooks/usePreventNavigation';
import Loading from '../../util/Loading';
import styles from './GamePanel.module.css';
import GuessPane from './GuessPane';
import PositionedStreetView from './PositionedStreetView';

export default () => {
  // warn the user if they navigate away
  usePreventNavigation();
  const finished = useCurrentRound() === null;
  useEffect(
    () => {
      if (finished) {
        dispatch.goToSummary();
      }
    },
    [ finished ]
  );

  return finished ? (
    <Loading />
  ) : (
    <div className={styles.page}>
      <div className={styles.streetview}>
        <PositionedStreetView />
      </div>
      <GuessPane />
    </div>
  );
};
