import React, { useState } from 'react';
import { dispatch } from '../../../../domain/gameStore';
import ClickMarkerMap from './ClickMarkerMap';
import styles from './GuessPane.module.css';
import RoundTimer from './RoundTimer';

export default () => {
  const [ selectedPoint, setSelectedPoint ] = useState(null);
  const [ submitted, setSubmitted ] = useState(false);
  const [ bigMap, setBigMap ] = useState(false);

  const handleSubmitGuess = async () => {
    setSubmitted(true);
    if (!submitted) {
      await dispatch.submitGuess(selectedPoint);
    }
  };

  return (
    <div className={bigMap ? styles['pane--big'] : styles.pane}>
      <ClickMarkerMap onMarkerMoved={setSelectedPoint} />
      <div className={styles.submit}>
        <RoundTimer onTimeout={handleSubmitGuess} />
        <div className={styles.resizeButton} onClick={() => setBigMap(b => !b)}>
          {bigMap ? '↙️' : '↗️'}
        </div>
        <button
          className={styles.submitButton}
          onClick={handleSubmitGuess}
          disabled={submitted || selectedPoint === null}
        >
          Submit Guess
        </button>
      </div>
    </div>
  );
};
