import React, { useRef, useState } from 'react';
import styles from './ClickToCopy.module.css';

export default ({ text, children }) => {
  const textareaRef = useRef(null);
  const [ copied, setCopied ] = useState(false);
  const onClick = () => {
    textareaRef.current.select();
    document.execCommand('copy');
    setCopied(true);
  };

  return (
    <div className={styles.container}>
      <span className={styles.underlined} onClick={onClick} onMouseOver={() => setCopied(false)}>
        {children ?? text}
      </span>
      <span className={styles.tooltip}>{copied ? 'Copied!' : 'Click to Copy'}</span>
      <textarea className={styles.invisible} ref={textareaRef} value={text ?? children} readOnly />
    </div>
  );
};
