import React from 'react';
import { CSSTransition } from 'react-transition-group';
import styles from './Dropdown.module.css';

export const Item = ({ value, onSelect, children }) => (
  <div className={styles.item} onClick={() => onSelect(value)}>
    {children}
  </div>
);

export const Dropdown = ({ open, selected, onSelect, onClick, children }) => (
  <div className={styles.container}>
    <div className={styles.button} onClick={onClick}>{selected}</div>
    <CSSTransition in={open} timeout={200} mountOnEnter unmountOnExit classNames={{
      enter: styles['list-enter'],
      enterActive: styles['list-enter-active'],
      exit: styles['list-exit'],
      exitActive: styles['list-exit-active'],
    }}>
      <div className={styles.list}>
        {children.map((child, key) => React.cloneElement(child, { onSelect, key }))}
      </div>
    </CSSTransition>
  </div>
);
