import { useEffect, useState, useRef } from "react";

export default (seconds, onEnd) => {
  const [finished, setFinished] = useState(false);
  const [remaining, setRemaining] = useState(seconds);
  const [paused, setPaused] = useState(false);
  const remainingMut = useRef(seconds);

  useEffect(() => {
    const timer = setInterval(() =>{ if (!paused) { setRemaining(remainingMut.current -= 1) }}, 1000);
    return () => clearInterval(timer);
  }, [paused]);

  useEffect(() => {
    if (!finished && remaining <= 0) {
      onEnd();
      setFinished(true);
    }
  }, [finished, remaining, onEnd])

  return [remaining, () => setPaused(!paused)];
}
