import { useEffect } from "react";
import { dispatch } from "../domain/gameStore";

const paramRouter = {
  join: dispatch.goToLobby,
  summary: gameId => dispatch.goToSummary(gameId, false),
}

export default () => {
  useEffect(() => {
    const url = new URL(window.location.href);
    for (let [param, value] of url.searchParams.entries()) {
      const route = paramRouter[param];
      if (route) {
        url.searchParams.delete(param);
        window.history.replaceState({}, document.title, url.href);
        route(value);
        break;
      }
    }
  }, []);
}