import { useRef, useEffect } from "react";
/* global google */

export default (mapDiv, lat=25, lng=-25, zoom=0) => {
  const map = useRef(null);
  useEffect(() => {
    if (map.current) {
      console.log("Attempted to re-run effect with existing Map");
      return;
    }
    
    map.current = new google.maps.Map(mapDiv.current, {
      center: { lat, lng },
      zoom,
      disableDefaultUI: true,
      fullscreenControl: false,
    });
  }, [mapDiv, lat, lng, zoom]);

  return map;
}